| Home | Libraries | People | FAQ | More

##### basic_serial_port::close (1 of 2 overloads)

Close the serial port.

    void close();

This function is used to close the serial port. Any asynchronous read or write operations will be cancelled immediately, and will complete with the `boost::asio::error::operation_aborted` error.

###### Exceptions

boost::system::system_error

  Thrown on failure.